Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dipendentessr.vo.dipendente
Class DipendenteResponse

    java.lang.Object
      it.svimservice.nsisr.web.ws.dipendentessr.vo.dipendente.DipendenteResponse

    public class DipendenteResponse

extends java.lang.Object

Risposta per il servizio getDipendente.

Field Summary
`private java.lang.String` | `codAziendaSanitaria` Codice nazionale dell'azienda sanitaria di appartenenza.
`private java.lang.String` | `codiceFiscale` Codice fiscale.
`private java.lang.String` | `cognome` Cognome.
`private java.lang.String` | `dataDecorrenzaNominaRuolo` Data di decorrenza nomina ruolo.
`private java.lang.String` | `dataDecorrenzaRapportoLavoro` Data di decorrenza del rapporto di lavoro.
`private java.lang.String` | `dataNascita` Data di nascita.
`private InquadramentoGiuridico` | `inquadramentoGiuridico` Inquadramento giuridico attuale.
`private java.lang.String` | `nome` Nome.
`private SedeDiLavoro` | `sedeDiLavoro` Sede di lavoro.

Constructor Summary
`DipendenteResponse()`

Method Summary
`java.lang.String` | `getCodAziendaSanitaria()`
`java.lang.String` | `getCodiceFiscale()`
`java.lang.String` | `getCognome()`
`java.lang.String` | `getDataDecorrenzaNominaRuolo()`
`java.lang.String` | `getDataDecorrenzaRapportoLavoro()`
`java.lang.String` | `getDataNascita()`
`InquadramentoGiuridico` | `getInquadramentoGiuridico()`
`java.lang.String` | `getNome()`
`SedeDiLavoro` | `getSedeDiLavoro()`
`void` | `setCodAziendaSanitaria(java.lang.String codAziendaSanitaria)`
`void` | `setCodiceFiscale(java.lang.String codiceFiscale)`
`void` | `setCognome(java.lang.String cognome)`
`void` | `setDataDecorrenzaNominaRuolo(java.lang.String dataDecorrenzaNominaRuolo)`
`void` | `setDataDecorrenzaRapportoLavoro(java.lang.String dataDecorrenzaRapportoLavoro)`
`void` | `setDataNascita(java.lang.String dataNascita)`
`void` | `setInquadramentoGiuridico(InquadramentoGiuridico inquadramentoGiuridico)`
`void` | `setNome(java.lang.String nome)`
`void` | `setSedeDiLavoro(SedeDiLavoro sedeDiLavoro)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codiceFiscale

    @Facets(pattern="([a-zA-Z]{6}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{3}[a-zA-Z]{1}|[0-9]{11})?")
    private java.lang.String codiceFiscale

  Codice fiscale.

### cognome

    private java.lang.String cognome

  Cognome.

### nome

    private java.lang.String nome

  Nome.

### dataNascita

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataNascita

  Data di nascita.

### dataDecorrenzaRapportoLavoro

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataDecorrenzaRapportoLavoro

  Data di decorrenza del rapporto di lavoro.

### dataDecorrenzaNominaRuolo

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataDecorrenzaNominaRuolo

  Data di decorrenza nomina ruolo.

### codAziendaSanitaria

    private java.lang.String codAziendaSanitaria

  Codice nazionale dell'azienda sanitaria di appartenenza.

### inquadramentoGiuridico

    private InquadramentoGiuridico inquadramentoGiuridico

  Inquadramento giuridico attuale.

### sedeDiLavoro

    private SedeDiLavoro sedeDiLavoro

  Sede di lavoro.

Constructor Detail

### DipendenteResponse

    public DipendenteResponse()

Method Detail

### setCodiceFiscale

    public void setCodiceFiscale(java.lang.String codiceFiscale)

### getCodiceFiscale

    public java.lang.String getCodiceFiscale()

### setCognome

    public void setCognome(java.lang.String cognome)

### getCognome

    public java.lang.String getCognome()

### setNome

    public void setNome(java.lang.String nome)

### getNome

    public java.lang.String getNome()

### setDataNascita

    public void setDataNascita(java.lang.String dataNascita)

### getDataNascita

    public java.lang.String getDataNascita()

### setDataDecorrenzaRapportoLavoro

    public void setDataDecorrenzaRapportoLavoro(java.lang.String dataDecorrenzaRapportoLavoro)

### getDataDecorrenzaRapportoLavoro

    public java.lang.String getDataDecorrenzaRapportoLavoro()

### setDataDecorrenzaNominaRuolo

    public void setDataDecorrenzaNominaRuolo(java.lang.String dataDecorrenzaNominaRuolo)

### getDataDecorrenzaNominaRuolo

    public java.lang.String getDataDecorrenzaNominaRuolo()

### setCodAziendaSanitaria

    public void setCodAziendaSanitaria(java.lang.String codAziendaSanitaria)

### getCodAziendaSanitaria

    public java.lang.String getCodAziendaSanitaria()

### setInquadramentoGiuridico

    public void setInquadramentoGiuridico(InquadramentoGiuridico inquadramentoGiuridico)

### getInquadramentoGiuridico

    public InquadramentoGiuridico getInquadramentoGiuridico()

### setSedeDiLavoro

    public void setSedeDiLavoro(SedeDiLavoro sedeDiLavoro)

### getSedeDiLavoro

    public SedeDiLavoro getSedeDiLavoro()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD